EclipseLink Dynamic Weaving Fragment for Equinox 2.0.0

org.eclipse.persistence
Added: 2010-01-07

Download:

Ivy:

<dependency org="org.eclipse.persistence" name="com.springsource.org.eclipse.persistence.internal.deployment.osgi.equinox" rev="2.0.0" />

Maven:

<dependency> <groupId>org.eclipse.persistence</groupId> <artifactId>com.springsource.org.eclipse.persistence.internal.deployment.osgi.equinox</artifactId> <version>2.0.0</version> </dependency>

MANIFEST.MF

Import-Bundle: com.springsource.org.eclipse.persistence.internal.deployment.osgi.equinox;version="[2.0.0,2.0.0]"

Libraries (0)

No libraries contain this bundle

Imported Packages (13)

Package Name Version Range Optional?
javax.persistence.spi [2.0.0, 3.0.0) false
org.eclipse.osgi.baseadaptor [3.0.0, 4.0.0) false
org.eclipse.osgi.baseadaptor.bundlefile [3.0.0, 4.0.0) false
org.eclipse.osgi.baseadaptor.loader [3.0.0, 4.0.0) false
org.eclipse.osgi.framework.adaptor [3.0.0, 4.0.0) false
org.eclipse.osgi.internal.baseadaptor [3.0.0, 4.0.0) false
org.eclipse.persistence.internal.jpa [2.0.0, 2.0.0] false
org.eclipse.persistence.internal.jpa.deployment [2.0.0, 2.0.0] false
org.eclipse.persistence.internal.jpa.deployment.osgi [2.0.0, 2.0.0] false
org.eclipse.persistence.jpa.equinox.weaving [2.0.0, 2.0.0] false
org.eclipse.persistence.jpa.osgi [2.0.0, 2.0.0] false
org.eclipse.persistence.logging [2.0.0, 2.0.0] false
org.osgi.framework [0.0.0, infinity) false